Set a new expiration on an item

- « Memcached::setSaslAuthData

- Memcached::touchByKey »

- PHP Manual
- Memcached
- Set a new expiration on an item

# Memcached::touch

(PECL memcached >= 2.0.0)

Memcached::touch — Set a new expiration on an item

### Description

public Memcached::touch(string `$key`, int `$expiration` = 0): bool

Memcached::touch() sets a new expiration value on the given key.

### Parameters

`key`

  The key under which to store the value.

`expiration`

  The expiration time, defaults to 0. See Expiration Times for more info.

### Return Values

Returns `true` on success or `false` on failure. Use Memcached::getResultCode() if necessary.

### See Also

- Memcached::touchByKey() - Set a new expiration on an item on a specific server